<p>title: Array Berindeks
description:</p>
<hr />
<p>Umumnya Indeks dari array bertipe integer, dimulai dari 0 hingga <em>n-1</em> dengan <em>n</em> adalah jumlah elemen di dalam array.
Perhatikan kode berikut:</p>
<pre><code>$sayuran = array('kangkung', 'bayam', 'kol');</code></pre>
<p>Berarti nilai array indeks ke-0 berisi <code>'kangkung'</code>, indeks ke-1 berisi <code>'bayam'</code> dan seterusnya, kita dapat memanggil nilai di dalam array dengan memanggil nama variabel diikuti nomor indeks yang ingin diambil, nomor indeks ditulis di dalam kurung siku [ ].</p>
<pre><code>$sayur = $sayuran[0];</code></pre>
<p>Pada kode di atas variabel <code>$sayur</code> akan diisi oleh nilai dari elemen array <code>$sayuran</code> indeks ke-0, yaitu <code>'kangkung'</code>.</p>
<p>Kita juga dapat mengisi nilai dari suatu elemen array dengan cara yang sama:</p>
<pre><code>$sayuran[0] = 'selada';
$sayuran[3] = 'brokoli';</code></pre>
<p>Pada kode di atas kita mengisi array indeks ke-0 menjadi <code>'selada'</code> dan indeks ke-3 dengan <code>'brokoli'</code>.</p>
<h2>Praktek</h2>
<ul>
<li>Pada editor terdapat variabel array berisi tiga buah nilai bertipe string, jalankan kode tersebut dan lihat output hasil dari pemanggilan fungsi <code>print_r()</code> untuk mencetak semua nilai yang ada di array tersebut.</li>
<li>Sebelum baris kode <code>print_r()</code> tambahkan kode untuk menambahkan nama sayuran lain misalnya <code>'kubis'</code> pada indeks array ke-3.
Tambahkan tanpa mengubah kode pada baris ke-3. Jalankan lagi program dan lihat hasilnya.</li>
<li>Tambahkan lagi nama sayuran lain pada Indeks selanjutnya dari array <code>$sayuran</code> sebelum baris kode <code>print_r()</code> dan cek apakah nilai tersebut sudah masuk dengan menjalankan program.</li>
</ul>
<iframe width="100%" height="400" frameborder="0" src="https://development.codepolitan.com/coding/editor/array-arrayberindeks"></iframe>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.  </p>